## kernel-image-2.4.18-powerpc-xfs 20020329

=== debian/changelog ===
kernel-image-2.4.18-powerpc-xfs (20020329) unstable; urgency=low

  * Tried to enable as many options as possible in the config file.  This
    hopefully adds to the usability of the package and definitely adds to
    its bloat.
  * A number of options broke compilation and had to be re-disabled.  They
    are listed in README.Debian.

 -- Jens Schmalzing <jensen@debian.org>  Sat, 30 Mar 2002 17:07:57 +0100

kernel-image-2.4.18-powerpc-xfs (20020319) unstable; urgency=low

  * New kernel version.
  * Disabled ADB keycodes.

 -- Jens Schmalzing <jensen@debian.org>  Tue, 19 Mar 2002 12:11:55 +0100

kernel-image-2.4.14-powerpc-xfs (20011219) unstable; urgency=low

  * Initial Release.

 -- Jens Schmalzing <jensen@debian.org>  Wed, 19 Dec 2001 22:32:20 +0100
