=== debian/control ===
Source: kernel-image-2.4.18-powerpc-xfs
Section: base
Priority: optional
Maintainer: Jens Schmalzing <jensen@debian.org>
Build-Depends: debhelper (>> 3.0.0), modutils, kernel-package, kernel-source-2.4.18, kernel-patch-benh (>= 20020304), kernel-patch-xfs (>= 1.0.2+20020304-2)
Standards-Version: 3.5.2

Package: kernel-image-2.4.18-powerpc-xfs
Architecture: powerpc
Provides: kernel-image
Description: Linux kernel binary image for version 2.4.18-powerpc-xfs
 This package contains the Linux kernel image for version
 2.4.18-powerpc-xfs, the corresponding System.map file, and the
 modules built by the packager.  It is based on the original config
 file by Benjamin Herrenschmidt with basic support for XFS thrown in
 and as many options as possible enabled as modules.
 .
 This package is based on the Debian packages of the benh and xfs
 patches to the official kernel sources.  The former patch, by
 Benjamin Herrenschmidt, adds improved support for Power Macintosh
 computers, while the latter patch, by Silicon Graphics Incorporated,
 implements the XFS journaling file system.  Hence, this kernel image
 will be most useful on Power Macintosh computers using SGI's XFS file
 system.  However, it should also run on most other PowerPC machines.
