## kernel-image-2.4.18-powerpc-xfs 20020329woody1

=== debian/changelog ===
kernel-image-2.4.18-powerpc-xfs (20020329woody1) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Build against kernel-source-2.4.18 (2.4.18-14.4)
  * Disable modules that require ISA symbols.  Avoids a FTBFS bug due
    to depmod errors.  depmod reports the same errors on the 20020329
    build in the archive, so it was probably built with an older modutils.

 -- dann frazier <dannf@hp.com>  Sat, 17 Dec 2005 14:09:33 -0700
