=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: base
 Priority: optional
 Maintainer: Jens Schmalzing <jensen@debian.org>
-Build-Depends: debhelper (>> 3.0.0), modutils, kernel-package, kernel-source-2.4.18, kernel-patch-benh (>= 20020304), kernel-patch-xfs (>= 1.0.2+20020304-2)
+Build-Depends: debhelper (>> 3.0.0), modutils, kernel-package, kernel-source-2.4.18 (>= 2.4.18-14.4), kernel-patch-benh (>= 20020304), kernel-patch-xfs (>= 1.0.2+20020304-2)
 Standards-Version: 3.5.2
 
 Package: kernel-image-2.4.18-powerpc-xfs
